# frozen_string_literal: true

module BridgeAPI
  class Client
    module LiveCourseSession
      def get_live_course_sessions(live_course_id, params = {})
        get("#{API_PATH}#{AUTHOR_PATH}#{LIVE_COURSES_PATH}/#{live_course_id}#{SESSIONS_PATH}", params)
      end

      def get_live_course_session(live_course_id, live_course_session_id, params = {})
        get("#{API_PATH}#{AUTHOR_PATH}#{LIVE_COURSES_PATH}/#{live_course_id}#{SESSIONS_PATH}/#{live_course_session_id}", params)
      end

      def create_live_course_session(live_course_id, params = {})
        post("#{API_PATH}#{AUTHOR_PATH}#{LIVE_COURSES_PATH}/#{live_course_id}#{SESSIONS_PATH}", params)
      end

      def delete_live_course_session(live_course_id, session_id)
        delete("#{API_PATH}#{AUTHOR_PATH}#{LIVE_COURSES_PATH}/#{live_course_id}#{SESSIONS_PATH}/#{session_id}")
      end

      def update_live_course_session(live_course_id, session_id, params = {})
        put("#{API_PATH}#{AUTHOR_PATH}#{LIVE_COURSES_PATH}/#{live_course_id}#{SESSIONS_PATH}/#{session_id}", params)
      end

      def update_web_conference(live_course_id, session_id, params = {})
        put("#{API_PATH}#{AUTHOR_PATH}#{LIVE_COURSES_PATH}/#{live_course_id}#{SESSIONS_PATH}/#{session_id}#{WEB_CONFERENCE_PATH}", params)
      end

      def publish_live_course_session(live_course_id, session_id)
        post("#{API_PATH}#{AUTHOR_PATH}#{LIVE_COURSES_PATH}/#{live_course_id}#{SESSIONS_PATH}/#{session_id}#{PUBLISH_PATH}")
      end

      def get_default_web_conference(params = {})
        get("#{API_PATH}#{AUTHOR_PATH}#{WEB_CONFERENCE_PATH}", params)
      end
    end
  end
end
